#include<bits/stdc++.h>
using namespace std;
#define int long long
#define mid ((l + r) >> 1)
#define ls (now << 1)
#define rs ((now << 1) | 1)
#define mp make_pair

const int N = 10000005;
const int inf = 2e17 + 1;
double s, t = 1;
void init()
{
	int n;
	cin >> n;
	for(int i = 1; i <= n; ++ i)
		t *= i, s += t;
	cout << s;
}
signed main()
{
	int T = 1;
//	cin >> T;
	while(T --)
		init();
	return 0;
}


